package com.persagy.common.model;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年11月26日:	上午9:45:51
 */
@Getter
@Setter
@ToString(callSuper = true)
@ApiModel(description = "删除信息操作的请求参数")
public class BaseDeleteModel extends BaseGroupModel {
	
	@NotBlank(message = "主键ID，不可为空")
	@ApiModelProperty(value = "主键ID", required = true, example = "123456")
    private String id;
	
}
