package com.persagy.sso.pojo.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021-03-22 19:04:19
 */
@Data
@ApiModel(value = "创建岗位入参")
public class AddJobDTO {

    private String roleName;

    @ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "角色类型", required = true)
    private String roleType;    

    @ApiModelProperty(value = "accountBelong")
    private String accountBelong;

    @ApiModelProperty(value = "集团编码")
    private String groupCode;

    @ApiModelProperty(value = "appId")
    private String appId;

    @ApiModelProperty(value = "账号id")
    private String accountId;

}
