package com.persagy.account.pojo.vo.auth;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月16日:	下午5:04:13
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasMenuFunctionVO {

	@NotBlank(message = "菜单ID，不可为空")
	@ApiModelProperty(value = "菜单ID", example = "1001")
	private String menuId; 		// 菜单ID
	
	@ApiModelProperty(value = "产品ID", example = "1001")
	private String productId; 		// 产品ID
	
	@ApiModelProperty(value = "页面ID", example = "1001")
	private String pageId; 		// 页面ID
	
	//@NotBlank(message = "功能ID，不可为空")
	@ApiModelProperty(value = "功能ID", example = "1001")
	private String functionId; 	// 功能ID
	
}
