package com.persagy.sso.pojo.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "创建/修改部门入参")
public class AddDepartmentDTO {


    @ApiModelProperty(value = "部门id")
    private String id;


    @ApiModelProperty(value = "部门名称", required = true)
    private String name;

    @ApiModelProperty(value = "部门类型,0:集团; 1:公司; 2:部门", required = true)
    private String type;

    @ApiModelProperty(value = "上级部门id")
    private String parentId;

    @ApiModelProperty(value = "数据来源,0:手动创建; 1:oa同步")
    private String resourceFrom;

    @ApiModelProperty(value = "关联项目")
    private List<String> projectIds;
}
