package com.persagy.sso.service;

import com.persagy.common.utils.ResponseResult;
import com.persagy.sso.pojo.dto.AddJobDTO;
import com.persagy.sso.pojo.dto.IdDTO;
import com.persagy.sso.pojo.dto.QueryJobDTO;

/**
 * @ClassName : IJobService
 * @Author ：xgq
 * @Date ：Created in 2021/4/14 12:47
 * @Description： TODO
 * @Version : 1.0
 */
public interface IJobService {

    /**保存岗位信息 **/
    ResponseResult saveJob(AddJobDTO addJobDTO, String token);


    /**删除岗位信息
     * @param idDTO**/
    ResponseResult deleteJob(IdDTO idDTO);


    /**
     * @Description: 更新岗位信息
     * @Author: xgq
     * @Date: 2021/4/15 1:50
     * @param addJobDTO :
     * @param token
     * @return: com.persagy.common.utils.ResponseResult
     **/
    ResponseResult updateJob(AddJobDTO addJobDTO, String token);

    /**
     * @Description: 根据角色名称查询角色信息
     * @Author: xgq
     * @Date: 2021/4/17 19:56
     * @param queryJobDTO :
     * @param token
     * @return: com.persagy.common.utils.ResponseResult
     **/
    ResponseResult queryJobBuCondition(QueryJobDTO queryJobDTO, String token);
}
